## Apache Zeta Components Manual :: Docs For Class ezcImageEffectFilters

### ImageConversion::ezcImageEffectFilters

### Interface ezcImageEffectFilters

This interface has to be implemented by ezcImageFilters classes to support effect filters.

Source for this file: /ImageConversion/src/interfaces/effect.php

Version: | //autogentag//

### Method Summary

public void | `border( $width , $color )` Border filter.
public void | `noise( $value )` Noise filter.
public void | `swirl( $value )` Swirl filter.

### Methods

#### border

void border( int $width , $color )

Border filter.

Adds a border to the image. The width is measured in pixel. The color is defined in an array of hex values:

1. array(
2. 0=> <red value>,
3. 1=> <green value>,
4. 2=> <blue value>,
5. );

##### Parameters:

Name | Type | Description
--- | --- | ---
`$width` | int | Width of the border.
`$color` | array(int) | Color.

##### Exceptions:

Type | Description
--- | ---
`ezcImageInvalidReferenceException` | No loaded file could be found or an error destroyed a loaded reference.
`ezcImageFilterFailedException` | If the operation performed by the the filter failed.
`ezcBaseValueException` | If a submitted parameter was out of range or type.

#### noise

void noise( strings $value )

Noise filter.

Apply a noise transformation to the image. Valid values are the following strings:

- 'Uniform'
- 'Gaussian'
- 'Multiplicative'
- 'Impulse'
- 'Laplacian'
- 'Poisson'

##### Parameters:

Name | Type | Description
--- | --- | ---
`$value` | strings | Noise value as described above.

##### Exceptions:

Type | Description
--- | ---
`ezcImageFilterFailedException` | If the operation performed by the the filter failed.
`ezcBaseValueException` | If a submitted parameter was out of range or type.
`ezcImageInvalidReferenceException` | No loaded file could be found or an error destroyed a loaded reference.

#### swirl

void swirl( int $value )

Swirl filter.

Applies a swirl with the given intense to the image.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$value` | int | Intense of swirl.

##### Exceptions:

Type | Description
--- | ---
`ezcImageInvalidReferenceException` | No loaded file could be found or an error destroyed a loaded reference.
`ezcImageFilterFailedException` | If the operation performed by the the filter failed.
`ezcBaseValueException` | If a submitted parameter was out of range or type.

Documentation generated by phpDocumentor 1.4.3